import { _decorator, Component, sp, Sprite } from 'cc';
const { ccclass, property, executeInEditMode } = _decorator;

@ccclass('Test')
//@executeInEditMode(false)
export class Test extends Component {
    @property(Sprite)
    public sprite: Sprite = null;
    @property(sp.Skeleton)
    public cat: sp.Skeleton = null;

    base = 1;
    dir = -1;

    onLoad() {
    }

    start() {
        //this.cat.getMaterial(0).setProperty("colorRate", 1.0, 0);
    }

    update(deltaTime: number) {
        if (this.cat.getMaterial(0)) {
            if (this.base <= 0) {
                this.dir = 1;
            } else if (this.base >= 1) {
                this.dir = -1;
            }
            this.base += (this.dir * deltaTime * 0.5)
            this.cat.getMaterial(0).setProperty("colorRate", this.base, 0);
        }
    }
}

